Get Payout Accounts

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint to retrieve all payout accounts.

Request:

FieldTypeDescription
businessIdIntegerUnique identifier of business

Example request

curl --location 'https://api.myvendy.com/payout-account' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY"

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
msgStringA description of the status of the request
dataArray[Payout Account]All payout accounts and details

Example response

{
    "status": true,
    "code": 200,
    "msg": "Payout Accounts",
    "error": "Payout Accounts",
    "data": [
        {
            "id": 3,
            "uid": 1,
            "businessId": 3,
            "defaultBank": 0,
            "accountnumber": "0123456789",
            "maskedaccountnumber": "*****456789",
            "bankname": "GUARANTY TRUST BANK",
            "beneficiaryname": "Test User",
            "beneficiarycountry": "NG",
            "type": "bank",
            "email": null,
            "createdAt": "2022-09-19T17:16:28.000Z",
            "updatedAt": "2022-09-19T17:16:28.000Z"
        }
    ]
}
Query Params
string

Required when you call with a dashboard session token. With AccessKey/SecretKey it is ignored: the business comes from the key.

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json